Source: vnlog
Priority: optional
Section: devel
Build-Depends: debhelper-compat (= 11),
 dh-python,
 python3:any,
 libipc-run-perl,
 libtext-diff-perl,
 libstring-shellquote-perl,
 liblist-moreutils-perl,
 python3-numpy,
 perl,
 mawk,
 chrpath
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.1.3
Homepage: https://github.com/dkogan/vnlog/
Vcs-Git: https://salsa.debian.org/science-team/vnlog.git
Vcs-Browser: https://salsa.debian.org/science-team/vnlog
Testsuite: autopkgtest-pkg-python

Package: libvnlog0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
 Vnlog ("vanillog") is a trivially-simple log format consisting of an ASCII
 table with comments and labelled fields. This package provides a C library that
 simplifies generating such logs.

Package: libvnlog-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libvnlog0 (= ${binary:Version}), ${perl:Depends},
 libstring-shellquote-perl
Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
 Vnlog ("vanillog") is a trivially-simple log format consisting of an ASCII
 table with comments and labelled fields. This package provides a C library that
 simplifies generating such logs. Dev files.

Package: vnlog
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libvnlog-perl (= ${binary:Version}), ${perl:Depends},
 mawk,
 libtext-table-perl,
 liblist-moreutils-perl,
 moreutils
Suggests: feedgnuplot, ministat, datamash
Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
 Vnlog ("vanillog") is a trivially-simple log format consisting of an ASCII
 table with comments and labelled fields. This package provides tools to process
 and manipulate such logs. The tools are:
 .
 vnl-filter selects a subset of the rows/columns in a vnlog and/or to
 manipulates the contents. This is effectively an awk wrapper.
 .
 vnl-sort, vnl-uniq, vnl-join, vnl-tail and vnl-ts are wrappers around the
 corresponding commandline tools
 .
 vnl-align aligns vnlog columns for easy interpretation by humans
 .
 vnl-make-matrix converts a one-point-per-line vnlog to a matrix of data

Package: libvnlog-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
 Vnlog ("vanillog") is a trivially-simple log format consisting of an ASCII
 table with comments and labelled fields. This package provides a simple Perl
 library to parse such logs.

Package: python3-vnlog
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy
Provides: ${python3:Provides}
Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
 Vnlog ("vanillog") is a trivially-simple log format consisting of an ASCII
 table with comments and labelled fields. This package provides a simple Python3
 library to parse such logs.
